Author Topic: integrate VIA drivers - openchrome/unichrome  (Read 1806 times)

alphapenguin

  • Regular Poster
  • **
  • Posts: 40
    • View Profile
integrate VIA drivers - openchrome/unichrome
« on: May 27, 2008, 09:19:27 pm »
A nice thing to add would be to have Via drivers, openchrome/unichrome, incorporated to a standard LinuxMCE distro, so slow n00bs, such as myself, wont try to throw their compy into the wall when they can figure out how to get the drivers installed. Took me a week but I got it, kinda.

otherwise, keep up the good work! I just wish I could contribute somehow.

Zaerc

  • Alumni
  • LinuxMCE God
  • *
  • Posts: 2256
  • Department of Redundancy Department.
    • View Profile
Re: integrate VIA drivers - openchrome/unichrome
« Reply #1 on: May 28, 2008, 05:21:56 pm »
It would even be nicer if those drivers actually worked past UI1.  And if the instructions in the wiki aren't sufficient... a good start would be to update those with your experience.
"Change is inevitable. Progress is optional."
-- Anonymous


alphapenguin

  • Regular Poster
  • **
  • Posts: 40
    • View Profile
Re: integrate VIA drivers - openchrome/unichrome
« Reply #2 on: May 30, 2008, 04:15:34 am »
i started a new portion in that wiki on my experience but hadnt had time to finish it. Hopefully what I add will help others.

freymann

  • Douchebag
  • Guru
  • *
  • Posts: 380
    • View Profile
Re: integrate VIA drivers - openchrome/unichrome
« Reply #3 on: July 21, 2008, 08:32:52 pm »
It would even be nicer if those drivers actually worked past UI1.  And if the instructions in the wiki aren't sufficient... a good start would be to update those with your experience.

 I had some spare time today so I thought I would boot my office via machine over the net and play with the video drivers.

 When I follow the instructions in the wiki it errors out on the command

./autogen.sh --prefix=/usr

with the following message:

Code: [Select]
Package requirements (xorg-server xproto xvmc fontsproto libdrm ) were not met:

No package 'xorg-server' found
No package 'xvmc' found
No package 'libdrm' found

I grabbed the binary drivers from link 1 in the wiki and can install them, but the UI1 screen flickers on my TV, but looks OK on the VGA monitor. However, it doesn't play video on either monitor, which is why I thought I would tackle this again.

I'm still going to review other posts on the via/openchrome drivers, but thought I would describe my results.